#!/usr/bin/env python3

from gi.repository import GtkClutter, Gtk, Gdk

class ComipoliTopBar(GtkClutter.Actor):
    def __init__(self):
        GtkClutter.Actor.__init__(self)
        actionbar = Gtk.ActionBar(visible=True)
        #
        self.open_button = Gtk.Button(label="_Open", use_underline=True, focus_on_click=False, visible=True)
        actionbar.pack_start(self.open_button)
        #
        self.lr_button = Gtk.ToggleButton(label="L<-R", focus_on_click=False, visible=True)
        actionbar.pack_start(self.lr_button)
        #
        image_restore = Gtk.Image.new_from_icon_name("view-restore-symbolic", Gtk.IconSize.MENU)
        self.restore_button = Gtk.Button(image=image_restore, focus_on_click=False, visible=True)
        actionbar.pack_end(self.restore_button)
        #
        image_view = Gtk.Image.new_from_icon_name("view-grid-symbolic", Gtk.IconSize.MENU)
        self.grid_button = Gtk.Button(image=image_view, focus_on_click=False, visible=True)
        actionbar.pack_end(self.grid_button)
        #
        self.props.contents = actionbar
        self.props.opacity = 0x00

